<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="30dp"
    android:id="@+id/layoutProfil">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".fragments.ElementFragment">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp">

            <TextView
                android:id="@+id/textView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:text="@string/my_gift"
                android:textColor="@color/colorRedDark"
                android:textSize="30dp"
                android:textStyle="bold" />

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/layoutNameElt"
            android:layout_width="382dp"
            android:layout_height="82dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">


            <EditText
                android:id="@+id/nomElt"
                android:layout_width="154dp"
                android:layout_height="47dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="center"
                android:hint="nom cadeau"
                android:inputType="textPersonName"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />

            <EditText
                android:id="@+id/eltPrice"
                android:layout_width="32dp"
                android:layout_height="45dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="center"
                android:hint="prix"
                android:inputType="textPersonName"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />
        </LinearLayout>





        <LinearLayout
            android:id="@+id/layoutUrlElt"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">


            <TextView
                android:id="@+id/textView2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:text="@string/link" />

            <EditText
                android:id="@+id/linkElt"
                android:layout_width="198dp"
                android:layout_height="43dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="center"
                android:inputType="textPersonName"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layoutAdresseElt"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textView3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:text="Adresse" />

            <EditText
                android:id="@+id/adresseElt"
                android:layout_width="198dp"
                android:layout_height="41dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="center"
                android:inputType="textPersonName"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/layoutDescriptionElt"
            android:layout_width="match_parent"
            android:layout_height="150dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">


            <TextView
                android:id="@+id/textView6"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:text="@string/add_wish_description" />

            <EditText
                android:id="@+id/eltDescription"
                android:layout_width="wrap_content"
                android:layout_height="100dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="top|left"
                android:hint="add description"
                android:inputType="textLongMessage"
                android:lines="10"
                android:maxLines="15"
                android:minLines="5"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />


        </LinearLayout>

        <LinearLayout
            android:id="@+id/layoutStatusElt"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">


            <TextView
                android:id="@+id/textView7"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:text="@string/status" />

            <EditText
                android:id="@+id/eltStatus"
                android:layout_width="183dp"
                android:layout_height="39dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:enabled="false"
                android:gravity="center"
                android:inputType="textPersonName"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layoutCommentElt"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">


            <EditText
                android:id="@+id/addCommentText"
                android:layout_width="226dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:layout_weight="1"
                android:ems="10"
                android:hint="add comment here"
                android:inputType="textLongMessage"
                android:paddingLeft="10dp"
                android:textColor="@color/colorBlue" />

            <Button
                android:id="@+id/addCommentButton"
                style="@style/Widget.MaterialComponents.Button"
                android:layout_width="wrap_content"
                android:layout_height="60dp"
                android:layout_alignParentRight="true"
                android:layout_margin="10dp"
                android:layout_weight="1"
                android:paddingStart="10dp"
                android:text="@string/addComment" />

        </LinearLayout>


        <LinearLayout
            android:id="@+id/layoutChangeElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="20dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:orientation="horizontal">


            <Button
                android:id="@+id/editElementButton"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:layout_margin="10dp"
                android:layout_weight="1"
                android:drawableLeft="@drawable/ic_update_black_24dp"
                android:text="edit element" />


        </LinearLayout>


        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">


            <Button
                android:id="@+id/supprimerElement"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="25dip"
                android:layout_marginRight="25dip"
                android:layout_weight="1"
                android:text="@string/supprimer"
                android:visibility="gone" />

            <Button
                android:id="@+id/boutonUrgent"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="25dip"
                android:layout_marginRight="25dip"
                android:layout_weight="1"
                android:text="@string/urgent"
                android:visibility="gone" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">


            <Button
                android:id="@+id/boutonReserver"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="25dip"
                android:layout_marginRight="25dip"
                android:layout_weight="1"
                android:text="@string/reserver"
                android:visibility="gone" />

            <Button
                android:id="@+id/boutonAcheter"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="25dip"
                android:layout_marginRight="25dip"
                android:layout_weight="1"
                android:text="@string/acheter"
                android:visibility="gone" />


        </LinearLayout>


        <com.androiddev.project.ili.wishurgift.util.NonScrollListView
            android:id="@+id/listeCommentaire"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingTop="20dp" />
    </LinearLayout>
</ScrollView>